RFKILL(8)

NAMN
rfkill - verktyg för att aktivera och inaktivera trådlösa enheter

SYNOPSIS

rfkill [flaggor] [kommando] [ID|typ ...]

BESKRIVNING

rfkill listar, aktiverar och inaktiverar trådlösa enheter.

Utmatningsformatet för kommandot "list" är föråldrat och bibehålls endast för bakåtkompatibilitet. Det nya utdataformatet är standard när inget kommando anges eller när flaggan --output används.

Standardutdata kan komma att ändras. Så när det är möjligt bör du undvika att använda standardutdata i dina skript. Definiera alltid förväntade kolumner explicit genom att använda flaggan --output tillsammans med en kolumnlista i miljöer där en stabil utdata krävs.

FLAGGOR

-J, --json
    Använd JSON-utdataformat.

-n, --noheadings
    Skriv inte ut någon rubrikrad.

-o, --output
    Ange vilka utdatakolumner som ska skrivas ut. Använd --help för att få en lista över tillgängliga kolumner.

--output-all
    Skriv ut alla tillgängliga kolumner.

-r, --raw
    Använd det råa utmatningsformatet.

-h, --help
    Visa hjälptext och avsluta.

-V, --version
    Visa version och avsluta.

MILJÖ

LIBSMARTCOLS_DEBUG=all
    aktiverar libsmartcols felsökningsutdata.

LIBSMARTCOLS_DEBUG_PADDING=on
    använda synliga utfyllnadstecken.

KOMMANDON

hjälp
    Visa hjälptext och avsluta.

händelse
    Lyssna efter rfkill-händelser och visa dem på stdout.

lista [id|typ ...]
    Lista det aktuella tillståndet för alla tillgängliga enheter. Kommandots utdataformat är föråldrat, se avsnittet DESCRIPTION. Det är en god idé att kontrollera med list-kommandot id eller typ att omfattningen är lämplig innan du ställer in block eller unblock. Den speciella typsträngen all matchar allt. Användning av flera ID- eller typ-argument stöds. Möjliga typer är all, {wlan | wifi}, bluetooth, {uwb | ultrawideband}, wimax, wwan, gps, fm, nfc.

block id|typ [...]
    Inaktivera motsvarande enhet.

unblock id|typ [...]
    Aktivera motsvarande enhet. Om enheten är hårt blockerad, t.ex. via en hårdvaruswitch, kommer den att förbli otillgänglig även om den nu är mjukt avblockerad.

toggle id|typ [...]
    Aktivera eller inaktivera motsvarande enhet.

EXEMPEL

      rfkill --output ID,TYPE
      rfkill block all
      rfkill unblock wlan
      rfkill block bluetooth uwb wimax wwan gps fm nfc

UPPHOVSPERSONER

rfkill skrevs ursprungligen av och Koden har senare modifierats av och för util-linux-projektet.

Den här manualsidan skrevs av för Debian-projektet (och kan användas av andra).

SE ÄVEN

powertop(8), systemd-rfkill(8),

FELRAPPORTERING

För felrapporter, använd

TILLGÄNGLIGHET

Kommandot rfkill ingår i paketet util-linux som kan hämtas från